> For the complete documentation index, see [llms.txt](https://docs.motivewave.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.motivewave.com/user-guide/sdk-programming-guide/tick-data.md).

# Tick Data

Version 5 of MotiveWave™ includes support for handling live and historical tick data (if supported by the broker and/or data service). Live and historical ticks are described using the **Tick** interface (see below). The time of the tick can be accessed via the getTime() method. This returns the number of milliseconds since January 1, 1970 (epoch time).

![Figure 42 Tick Interface](/files/-M5SgCAaxDzkLGuGeDpi)

Historical ticks can be requested at any time from the Instrument interface using the getTicks(startTime, endTime) method. This will return a list of ticks that occurred on the instrument between the start and end times.

![Figure 43 Instrument getTicks()](/files/-M5SgCAbq8UWAyF5nv6S)

Live ticks can be processed through the onTick(dataContext, tick) method in the Study class. This method will be called every time a new tick is generated on the instrument.

![Figure 44 Study onTick Method](/files/-M5SgCAcwtaogJs9EOyD)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.motivewave.com/user-guide/sdk-programming-guide/tick-data.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
